Download it now!
Bug 122586 - Classification: by using the dialog, Watermark text from policy is not placed in the document
Summary: Classification: by using the dialog, Watermark text from policy is not placed...
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.1.1 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisectRequest, regression
Depends on:
Blocks: Classification
  Show dependency treegraph
 
Reported: 2019-01-08 22:08 UTC by Cor Nouws
Modified: 2020-12-04 04:16 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
example file nl-NL (3.64 KB, text/xml)
2019-02-05 15:19 UTC, Cor Nouws
Details
example file international (5.01 KB, text/xml)
2019-02-05 15:19 UTC, Cor Nouws
Details
Result ODT (11.84 KB, application/vnd.oasis.opendocument.text)
2020-04-05 05:02 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2019-01-08 22:08:35 UTC
- Writer document
- View > Toolbar > (TSCP) Classification
- use list from toolbar and apply Confidential
   > watermark appears in the document (as defined in policy file)
     (as well as header and footer text)
   This is OK

- New document
- Open dialog Document Classification
- select Confidential from list Classification
- hit OK
   > no watermark appears in the document

It is easy to see per version, by comparing result from toolbar and from dialog!

 600 rc1 > watermark OK
 601 rc1 > no watermark
 620 rc1 > no watermark
 master 63 > watermark OK ..

would be great if this can be fixed in 6.2 version - hence the report.

Version: 6.2.0.1
Build ID: 0412ee99e862f384c1106d0841a950c4cfaa9df1
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: nl-NL (nl_NL.UTF-8); UI-Language: en-US
Calc: threaded

Version: 6.3.0.0.alpha0+
Build ID: 3bf82348bc73797fec61997dc4268a322299b3ff
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-01-06_08:29:45
Locale: nl-NL (nl_NL.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Cor Nouws 2019-01-29 11:16:28 UTC
@raal: could you pls confirm this one?
Comment 2 raal 2019-02-05 12:59:17 UTC
Hi Cor,
checked with 6.2.3 and seems to be fixed. Please, can you retest it?
Comment 3 Cor Nouws 2019-02-05 15:18:31 UTC
Hi Raal,
(In reply to raal from comment #2)
> checked with 6.2.3 and seems to be fixed. Please, can you retest it?
Thanks - however 6.2.0.3 doesn't resolve the issue for me.
I'll attach the two xml-files involved.
   example_nl-NL.xml and example.xml

The first is only used with nl-NL locale.
But without that one, so with the international version only, I have the same problem.

Maybe you can attach your xml files?
Comment 4 Cor Nouws 2019-02-05 15:19:14 UTC
Created attachment 148927 [details]
example file nl-NL
Comment 5 Cor Nouws 2019-02-05 15:19:37 UTC
Created attachment 148928 [details]
example file international
Comment 6 Dieter 2019-08-22 10:27:42 UTC
I'm not sure, if I did it right, but for me it seems to be fixed in

Version: 6.2.5.2 (x64)
Build-ID: 1ec314fa52f458adc18c4f025c545a4e8b22c159
CPU-Threads: 4; BS: Windows 10.0; UI-Render: GL; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc: threaded

Or perhaps only Linux?

Cor, are you still able to reproduce it? => NEEDINFO
Comment 7 QA Administrators 2020-02-19 03:31:09 UTC Comment hidden (obsolete)
Comment 8 Cor Nouws 2020-02-23 21:16:38 UTC
(In reply to Dieter from comment #6)
> I'm not sure, if I did it right, but for me it seems to be fixed in
> 
> Version: 6.2.5.2 (x64)
> ....
> Cor, are you still able to reproduce it? => NEEDINFO
Still a problem in Versie: 6.4.0.3
Build ID: b0a288ab3d2d4774cb44b62f04d5d28733ac6df8
CPU-threads: 8; Besturingssysteem: Linux 5.3; UI-render: standaard; VCL: gtk3; 
Locale: nl-NL (en_US.UTF-8); UI-taal: nl-NL
Calc: threaded

New document > Toolbar > Confidential
  > Watermark in document

New document > Dialog > Confidential > OK
  > NO Watermark in document
Comment 9 Aron Budea 2020-04-05 05:02:05 UTC
Created attachment 159335 [details]
Result ODT

Not sure if I'm understanding correctly, I used the following steps:

- Cleared user profile (just in case).
- Started Writer, UI/locale is en-US/en-US.
- Enabled TSCP Classification toolbar.
- Clicked Manage Document Classification button on toolbar.
- In the dialog, selected Confidential from Classification dropdown, and clicked OK.

Got the attached document as result, ie. with the watermark included, with LO 6.4.0.3 / Ubuntu.
Cor, can you please comment if the above is supposed to trigger the bug, or if I should do something differently?
Comment 10 QA Administrators 2020-11-03 04:00:58 UTC Comment hidden (obsolete)
Comment 11 QA Administrators 2020-12-04 04:16:52 UTC
Dear Cor Nouws,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp